# Walls-to-Drawings for Foundry VTT

This add-on module for Foundry lets you convert convert walls to something players can see by converting Wall objects to Drawing objects.

It is intended for quick, one-off scenes which are made by doing a quick sketch of the scene (by placing walls) to create an environment; as opposed to scenes in which invisible walls are drawn on top of a premade map.

It has been tested and works with simple line segments and plain walls. Note that if other walls are selected (such as ethereal walls) at the time of conversion they may be rendered as well. 

## Usage

0. *(Optional)* Configure wall colour and thickness in the sidebar: Game Settings → Configure Settings → Module Settings 
1. Draw walls
2. Select walls you would like to convert
3. Hit the 'Convert walls to Drawing' button (empty square) at the bottom of the Wall Tools

The Drawing objects will show up under Drawing Tools.

## Wishlist

- [x] different colours for different wall types (as of 0.1.0)
- [ ] selectively ignore certain wall types even if selected (eg ethereal walls)
- [ ] render doors differently
- [ ] a better icon for the button

Suggestions are welcome. Please feel encouraged to open an issue or pull request.
